unsafe_transferSui
POST
Create an unsigned transaction to send SUI coin object to a Sui address. The SUI object is also used as the gas object.
param[0]
signerstringrequired
The transaction signer's Sui addressparam[1]
suiObjectIdstringrequired
The Sui coin object to be used in this transactionparam[2]
gasBudgetstringrequired
The gas budget, the transaction will fail if the gas cost exceed the budgetparam[3]
recipientstringrequired
The recipient's Sui addressparam[4]
amountstringrequired
The amount to be split out and transferredResponses
jsonrpcstring
idinteger
the gas objects to be used
digestobjectrequired
objectIdobjectrequired
versionobjectrequired
inputObjectsarrayrequired
objects to be used in this transactiontxBytesstringrequired
BCS serialized transaction data bytes without its type tag, as base-64 encoded string.codestringrequired
Code identifying the cause of the failed request.messagestringrequired
Detailed message including the name and value of the invalid parameter.{"code": "ERROR_CODE","message": "Bad Request"}
cURL
curl -X POST 'https://sui-mainnet.nodit.io' \-H 'Content-Type: application/json' \-H 'X-API-KEY: nodit-demo' \-d '{"jsonrpc": "2.0","id": 1,"method": "unsafe_transferSui","params": [null,null,null,null,null]}'